// This is the code for the Contact Form Validation. The inspiration for this code was taken from
// https://www.tutorialrepublic.com/javascript-tutorial/javascript-form-validation.php and https://www.youtube.com/watch?v=WLUCzSaH5kI&t=2665s.
// I have tried my best to write out the code myself with as little help from the above sites as possible .
// I have used the above mentioned sites for logic building.

function getError(formId, errorMessage) {
    // console.log(errorMessage);
    // console.log(formId);
    // console.log(errorMessage);
    document.getElementById(formId).getElementsByClassName("error")[0].innerHTML = errorMessage;
}

function validateForm() {
    var name = document.forms["ContactUs"]["name"].value;
    var address = document.forms["ContactUs"]["address"].value;
    var email = document.forms["ContactUs"]["email"].value;
    var phone = document.forms["ContactUs"]["phone"].value;
    var subject = document.forms["ContactUs"]["subject"].value;
    var message = document.forms["ContactUs"]["message"].value;
    var flag = 1;

    //name
    if (name == "") {
        getError("name", "&#9888 Please enter your name");
        flag = 0;
    } else {
        if (name.length < 2) {
            getError("name", "&#9888 Please enter a valid name");
            flag = 0;
        } else {
            getError("name", "");
        }
    }

    //address
    if (address == "") {
        getError("address", "&#9888 Please enter your address");
        flag = 0;
    } else {
        if (address.length < 6) {
            getError("address", "&#9888 Please enter a valid address");
            flag = 0;
        } else {
            getError("address", "");
        }
    }

    //email
    if (email == "") {
        getError("email", "&#9888 Please enter your email address");
        flag = 0;
    } else {
        if (email.length < 5) {
            getError("email", "&#9888 Please enter a valid email address");
            flag = 0;
        }

        if (email.includes("@") == false) {
            getError("email", "&#9888 Please enter a valid email address");
            flag = 0;
        } else {
            getError("email", "");
        }
    }

    //phone number
    if (phone == "") {
        getError("phone", "&#9888 Please enter your phone number");
        flag = 0;
    } else {
        if (phone.length < 10) {
            getError("phone", "&#9888 Please enter a valid phone number");
            flag = 0;
        } else {
            getError("phone", "");
        }
    }

    //subject
    if (subject == "") {
        getError("subject", "&#9888 Please enter a subject");
        flag = 0;
    } else {
        if (subject.length < 3) {
            getError("subject", "&#9888 Please enter a valid subject");
            flag = 0;
        } else {
            getError("subject", "");
        }
    }

    //message
    if (message == "") {
        getError("message", "&#9888 Please enter a message");
        flag = 0;
    } else {
        if (message.length < 3) {
            getError("message", "&#9888 Please enter a valid message");
            flag = 0;
        } else {
            getError("message", "");
        }
    }

    if (flag == 0) {
        return false;
    } else {
        alert("Your form has been submitted!");
    }
}
